org.apache.coyote.ajp

## Class AjpProtocol.AjpConnectionHandler

- java.lang.Object
- - org.apache.coyote.AbstractProtocol.AbstractConnectionHandler<S,P>
  - - org.apache.coyote.ajp.AbstractAjpProtocol.AbstractAjpConnectionHandler<Socket,AjpProcessor>
    - - org.apache.coyote.ajp.AjpProtocol.AjpConnectionHandler

All Implemented Interfaces:
  AbstractEndpoint.Handler, JIoEndpoint.Handler

Enclosing class:
  AjpProtocol

    protected static class AjpProtocol.AjpConnectionHandler
    extends AbstractAjpProtocol.AbstractAjpConnectionHandler<Socket,AjpProcessor>
    implements JIoEndpoint.Handler

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.tomcat.util.net.AbstractEndpoint.Handler

`AbstractEndpoint.Handler.SocketState`

### Field Summary

Fields
`protected AjpProtocol` `proto`

### Fields inherited from class org.apache.coyote.AbstractProtocol.AbstractConnectionHandler

`connections, global, recycledProcessors, registerCount`

### Constructor Summary

Constructors
Constructor and Description
`AjpProtocol.AjpConnectionHandler(AjpProtocol proto)`

### Method Summary

Methods
`protected AjpProcessor` `createProcessor()`
`protected Log` `getLog()`
`protected AbstractProtocol` `getProtocol()`
`SSLImplementation` `getSslImplementation()`
`void` `release(SocketWrapper<Socket> socket, Processor<Socket> processor, boolean isSocketClosing, boolean addToPoller)` Expected to be used by the handler once the processor is no longer required.

### Methods inherited from class org.apache.coyote.ajp.AbstractAjpProtocol.AbstractAjpConnectionHandler

`createUpgradeProcessor, createUpgradeProcessor, initSsl, longPoll`

### Methods inherited from class org.apache.coyote.AbstractProtocol.AbstractConnectionHandler

`getGlobal, process, recycle, register, unregister`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.tomcat.util.net.JIoEndpoint.Handler

`process`

### Methods inherited from interface org.apache.tomcat.util.net.AbstractEndpoint.Handler

`getGlobal, recycle`

### Field Detail

#### proto

    protected AjpProtocol proto

### Constructor Detail

#### AjpProtocol.AjpConnectionHandler

    public AjpProtocol.AjpConnectionHandler(AjpProtocol proto)

### Method Detail

#### getProtocol

    protected AbstractProtocol getProtocol()

Specified by:
  `getProtocol` in class `AbstractProtocol.AbstractConnectionHandler<Socket,AjpProcessor>`

#### getLog

    protected Log getLog()

Specified by:
  `getLog` in class `AbstractProtocol.AbstractConnectionHandler<Socket,AjpProcessor>`

#### getSslImplementation

    public SSLImplementation getSslImplementation()

Specified by:
  `getSslImplementation` in interface `JIoEndpoint.Handler`

#### release

    public void release(SocketWrapper<Socket> socket,
               Processor<Socket> processor,
               boolean isSocketClosing,
               boolean addToPoller)

Expected to be used by the handler once the processor is no longer required.

Specified by:
  `release` in class `AbstractProtocol.AbstractConnectionHandler<Socket,AjpProcessor>`
Parameters:
  `socket` - Ignored for BIO
  `processor` -
  `isSocketClosing` -
  `addToPoller` - Ignored for BIO

#### createProcessor

    protected AjpProcessor createProcessor()

Specified by:
  `createProcessor` in class `AbstractProtocol.AbstractConnectionHandler<Socket,AjpProcessor>`